trace {base} | R Documentation

## Trace All Calls to a Function.

### Description

These are both in very primitive form. If `trace` is called the function named is marked and each time it is entered the call is printed on the console. To stop tracing a function use `untrace`.

### Usage

    trace(fun)
    untrace(fun)

### Arguments

`fun` | any interpreted R function (not quoted).

### See Also

`debug`.

### Examples

    trace(names)
    data.frame(x=1:2, y=3:4)
    untrace(names)